漏洞信息详情

CloudBees Jenkins Config File Provider Plugin 跨站脚本漏洞

  • CNNVD编号:CNNVD-201901-275
  • 危害等级: 中危
  • CVE编号: CVE-2018-1000413
  • 漏洞类型: 跨站脚本
  • 发布时间: 2019-01-10
  • 威胁类型: 远程
  • 更新时间: 2019-01-10
  • 厂        商: config_file_provider_project
  • 漏洞来源:

漏洞简介

CloudBees Jenkins(前称Hudson Labs)是美国CloudBees公司的一套基于Java开发的持续集成工具,它主要用于监控持续的软件版本发布/测试项目和一些定时执行的任务。Config File Provider Plugin是使用在其中的一个配置文件管理插件。

CloudBees Jenkins Config File Provider Plugin 3.1及之前版本中的configfiles.jelly文件和providerlist.jelly文件存在跨站脚本漏洞。远程攻击者可利用该漏洞将任意HTML注入到Jenkins中的页面。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://jenkins.io/security/advisory/2018-09-25/#SECURITY-1080

参考网址

来源:jenkins.io

链接:https://jenkins.io/security/advisory/2018-09-25/#SECURITY-1080

漏洞信息快速查询

相关漏洞

更多